Class IndexAdminImpl
java.lang.Object
webwork.action.ActionSupport
com.atlassian.jira.web.action.JiraWebActionSupport
com.atlassian.jira.web.action.ProjectActionSupport
com.atlassian.jira.web.action.admin.index.IndexAdminImpl
- All Implemented Interfaces:
ErrorCollection,I18nHelper,IndexAdmin,HttpServletVariables,AuthorizationSupport,Serializable,webwork.action.Action,webwork.action.CommandDriven,webwork.action.IllegalArgumentAware
- See Also:
-
Nested Class Summary
Nested classes/interfaces inherited from class com.atlassian.jira.web.action.JiraWebActionSupport
JiraWebActionSupport.MessageTypeNested classes/interfaces inherited from interface com.atlassian.jira.util.ErrorCollection
ErrorCollection.ReasonNested classes/interfaces inherited from interface com.atlassian.jira.util.I18nHelper
I18nHelper.BeanFactory -
Field Summary
Fields inherited from class com.atlassian.jira.web.action.ProjectActionSupport
projectManagerFields inherited from class com.atlassian.jira.web.action.JiraWebActionSupport
ISSUE_NOT_FOUND_RESULT, log, PERMISSION_VIOLATION_RESULT, request, RETURN_URL_PARAMETER, savedFilters, SECURITY_BREACH_RESULTFields inherited from class webwork.action.ActionSupport
command, errorMap, errorMessagesFields inherited from interface webwork.action.Action
ERROR, INPUT, LOGIN, NONE, SUCCESS -
Constructor Summary
ConstructorsConstructorDescriptionIndexAdminImpl(ProjectManager projectManager, PermissionManager permissionManager, IndexLifecycleManager indexLifecycleManager, GlobalPermissionManager globalPermissionManager, TaskManager taskManager, JiraAuthenticationContext authenticationContext, TaskDescriptorBean.Factory factory, IndexPathManager indexPathManager, FileFactory fileFactory, IndexRecoveryService indexRecoveryService, ClusterManager clusterManager, FileStores fileStores, I18nHelper.BeanFactory i18nBeanFactory, JohnsonProvider johnsonProvider, HelpUrls helpUrls, IndexingFeatures indexingFeatures, IndexCancellationManager indexCancellationManager, ApplicationProperties applicationProperties) -
Method Summary
Modifier and TypeMethodDescriptionvoidaddIllegalArgumentException(String fieldName, IllegalArgumentException e) Override addIllegalArgumentException from the IllegalArgumentAware interface.doCancel()doCopy()protected StringgetPrettyCron(String cronExpression) longbooleanbooleanbooleanbooleanbooleanbooleanbooleanbooleanbooleanbooleanvoidsetCopyFromNodeId(String copyFromNodeId) voidsetRecoveryFilename(String recoveryFilename) voidsetReindexTime(long reindexTime) voidMethods inherited from class com.atlassian.jira.web.action.ProjectActionSupport
getBrowsableProjects, getSelectedProjectId, setSelectedProject, setSelectedProjectMethods inherited from class com.atlassian.jira.web.action.JiraWebActionSupport
addError, addErrorCollection, addErrorMessage, addErrorMessageByKeyIfAbsent, addErrorMessageIfAbsent, addErrorMessages, addErrorMessages, addErrors, addMessageToResponse, addReason, addReasons, checkIfUrlIsAllowed, execute, forceRedirect, getActionName, getActionNameJspa, getAdministratorContactLink, getApplicationProperties, getAuthorizationSupport, getComponentInstanceOfType, getConglomerateCookieValue, getConstantsManager, getDateFormat, getDateTimeFormat, getDateTimeFormatter, getDefaultResourceBundle, getDescTranslation, getDescTranslation, getDmyDateFormatter, getEmptyResponse, getErrorMessages, getErrors, getField, getFlushedErrorMessages, getGlobalPermissionManager, getHint, getHintManager, getHttpRequest, getHttpResponse, getHttpSession, getI18nHelper, getJiraContactHelper, getJiraServiceContext, getKeysForPrefix, getLanguage, getLocale, getLoggedInApplicationUser, getLoggedInUser, getNameTranslation, getNameTranslation, getOfBizDelegator, getOutboundWhitelistProvider, getOutlookDate, getPermissionManager, getProjectManager, getRandomHint, getReasons, getRedirect, getRedirect, getRedirectSanitiser, getRequestSourceType, getResourceBundle, getResult, getReturnUrl, getReturnUrlForCancelLink, getSearchSortDescriptions, getSelectedProject, getSelectedProjectObject, getServerId, getServletContext, getText, getText, getText, getText, getText, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTimeFormat, getUnescapedText, getUntransformedRawText, getUriValidator, getUserFullName, getUserManager, getUserPreferences, getUserProjectHistoryManager, getVersionManager, getWebworkStack, getWebworkStack, getXsrfToken, hasAnyErrors, hasErrorMessage, hasErrorMessageByKey, hasGlobalPermission, hasGlobalPermission, hasIssuePermission, hasIssuePermission, hasIssuePermission, hasPermission, hasProjectPermission, hasProjectPermission, htmlEncode, insertContextPath, isAdministrator, isIndexing, isInlineDialogMode, isKeyDefined, isSystemAdministrator, isUserExists, isUserExistsByKey, isUserExistsByName, removeKeyOrAddError, returnComplete, returnComplete, returnCompleteWithInlineRedirect, returnCompleteWithInlineRedirectAndMsg, returnCompleteWithInlineRedirectAndMsg, returnMsgToUser, returnMsgToUser, setConglomerateCookieValue, setInline, setReasons, setReturnUrl, setSelectedProjectId, tagMauEventWithApplication, tagMauEventWithProject, urlEncodeMethods inherited from class webwork.action.ActionSupport
addError, addErrorMessage, doValidation, getCommandName, getHasErrorMessages, getHasErrors, getPropertyEditorMessage, getTexts, getTexts, getTimezone, invalidInput, invokeCommand, isCommand, setCommand, setErrorMessages, setErrors, validateMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface webwork.action.CommandDriven
getCommandName, setCommandMethods inherited from interface com.atlassian.jira.util.ErrorCollection
addError, addErrorMessage, setErrorMessages
-
Constructor Details
-
IndexAdminImpl
public IndexAdminImpl(ProjectManager projectManager, PermissionManager permissionManager, IndexLifecycleManager indexLifecycleManager, GlobalPermissionManager globalPermissionManager, TaskManager taskManager, JiraAuthenticationContext authenticationContext, TaskDescriptorBean.Factory factory, IndexPathManager indexPathManager, FileFactory fileFactory, IndexRecoveryService indexRecoveryService, ClusterManager clusterManager, FileStores fileStores, I18nHelper.BeanFactory i18nBeanFactory, JohnsonProvider johnsonProvider, HelpUrls helpUrls, IndexingFeatures indexingFeatures, IndexCancellationManager indexCancellationManager, ApplicationProperties applicationProperties)
-
-
Method Details
-
doDefault
- Overrides:
doDefaultin classwebwork.action.ActionSupport- Throws:
Exception
-
getIndexPath
- Specified by:
getIndexPathin interfaceIndexAdmin
-
getIndexSnapshotsPath
-
getNodeId
-
addIllegalArgumentException
Override addIllegalArgumentException from the IllegalArgumentAware interface. This method is called from within the Jira WebWork implementation when an IllegalArgumentException is thrown by a field validator e.g. when a query param has an incorrect type. The default behaviour redirects to the Error view instead of running the action (doExecute method). Index Admin page needs to call doExecute to enable switching to different views based on the Search Platform so automatic handling of validation errors is disabled, and they are handled manually.- Specified by:
addIllegalArgumentExceptionin interfacewebwork.action.IllegalArgumentAware- Overrides:
addIllegalArgumentExceptionin classJiraWebActionSupport- Parameters:
fieldName- The name of the field that caused the exception.e- The IllegalArgumentException that was thrown.
-
doExecute
- Overrides:
doExecutein classwebwork.action.ActionSupport- Throws:
Exception
-
doActivate
- Specified by:
doActivatein interfaceIndexAdmin- Throws:
Exception
-
doReindex
- Specified by:
doReindexin interfaceIndexAdmin- Throws:
Exception
-
doProgress
-
doCancel
-
doRecover
- Throws:
Exception
-
isIndexRecoveryFromRelativePathOnlyEnabled
public boolean isIndexRecoveryFromRelativePathOnlyEnabled() -
doCopy
- Throws:
Exception
-
getReindexTime
public long getReindexTime()- Specified by:
getReindexTimein interfaceIndexAdmin
-
setReindexTime
public void setReindexTime(long reindexTime) -
isAnyLiveTasks
public boolean isAnyLiveTasks() -
isHasSystemAdminPermission
public boolean isHasSystemAdminPermission() -
getTaskId
-
setTaskId
-
getCurrentIndexTask
-
getCurrentTask
-
isIndexConsistent
public boolean isIndexConsistent() -
getDestinationURL
-
isTaskInProgress
public boolean isTaskInProgress() -
getCannotReindexInForegroundMessage
-
getRecoveryFilename
-
setRecoveryFilename
-
getSnapshotCronExpression
-
getPrettyCron
-
getSnapshotDirectory
-
recoveryEnabled
public boolean recoveryEnabled() -
getCopyFromNodeId
-
setCopyFromNodeId
-
getNodeList
-
isClustered
public boolean isClustered() -
getCurrentNodeId
-
isCopyRequested
public boolean isCopyRequested() -
isTaskOnSameNode
public boolean isTaskOnSameNode() -
isCurrentIndexTaskZombie
public boolean isCurrentIndexTaskZombie() -
doAbortZombieTask
-
getTemplateInputData
-
getZombieTaskDocsLink
-
getSearchIndexingDocsLink
-